package com.sencorsta.rabs.obj.ai.scene.family;

import cn.hutool.core.thread.ThreadUtil;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.sencorsta.rabs.annotation.SceneAnnotation;
import com.sencorsta.rabs.obj.ai.AiManage;
import com.sencorsta.rabs.obj.ai.api.BaseScene;
import com.sencorsta.rabs.obj.ai.api.Scene;

import java.awt.*;

/**
 * 组织-信息
 */
@SceneAnnotation("SceneMain_Family_Out")
public class SceneMain_Family_Out_BigBoss extends BaseScene implements Scene {
    @JsonIgnore
    @Override
    public float getPriority() {
        return 1.0f;
    }

    private static String PathEnter = System.getProperty("user.dir") + "\\opencv\\scene\\family\\out\\bigBoss\\enter.png";
    private static String PathCheck = System.getProperty("user.dir") + "\\opencv\\scene\\family\\out\\bigBoss\\check.png";
    private static String PathBack = System.getProperty("user.dir") + "\\opencv\\scene\\family\\out\\bigBoss\\back.png";
    private static String PathStart = System.getProperty("user.dir") + "\\opencv\\scene\\family\\out\\bigBoss\\start.png";


    @Override
    public void back() throws AWTException {
        moveToClick(PathBack,AiManage.getInstance().getCheckPoint());
    }

    @Override
    public void open() throws AWTException {
        while (AiManage.getInstance().isRunning() && !check()) {
            AiManage.getInstance().updateWindow();
            ThreadUtil.sleep(2000);
            if (checkHas(PathEnter, AiManage.getInstance().getCheckPoint())) {
                moveToClick(PathEnter, AiManage.getInstance().getCheckPoint());
                ThreadUtil.sleep(5000);
                continue;
            }
        }
    }

    @Override
    public boolean check() throws AWTException {
        if (checkHas(PathCheck, AiManage.getInstance().getCheckPoint())) {
            return true;
        }
        return false;
    }
    static int maxTime=3;
    @Override
    public void think() throws AWTException {
        moveToClick(PathStart, AiManage.getInstance().getCheckPoint());
        ThreadUtil.sleep(4000);

        randomToClick();
        ThreadUtil.sleep(4000);

        moveToClick(PathStart, AiManage.getInstance().getCheckPoint());
        ThreadUtil.sleep(4000);

        randomToClick();
        ThreadUtil.sleep(4000);

        getRecord().getData().setDone(true);
    }

    @Override
    public boolean isDone() {
        return getRecord().getData().isDone();
    }

}
